Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait MethodSynthesis extends AnyRef

  Logic related to method synthesis which involves cooperation between Namer and Typer.

  Logic related to method synthesis which involves cooperation between Namer and Typer.

  Definition Classes
    typechecker
- ClassMethodSynthesis
- MethodSynth

c

scala.tools.nsc.typechecker.MethodSynthesis

# ClassMethodSynthesis

###

#### class ClassMethodSynthesis extends AnyRef

Source
  MethodSynthesis.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ClassMethodSynthesis
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ClassMethodSynthesis(clazz: Global.Symbol, localTyper: Analyzer.Typer)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Analyzer.ClassMethodSynthesis toany2stringadd[Analyzer.ClassMethodSynthesis] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Analyzer.ClassMethodSynthesis, B)
   Implicit
     This member is added by an implicit conversion from Analyzer.ClassMethodSynthesis toArrowAssoc[Analyzer.ClassMethodSynthesis] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val clazz: Global.Symbol
8.  def clazzMember(name: Global.Name): Global.Symbol
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def constantMethod(name: Global.Name, value: Any): Global.Tree
11.  def constantNullary(name: Global.Name, value: Any): Global.Tree
12.  def createMethod(original: Global.Symbol)(f: (Global.Symbol) => Global.Tree): Global.Tree
13.  def createMethod(name: Global.Name, returnType: Global.Type)(f: (Global.Symbol) => Global.Tree): Global.Tree
14.  def createMethod(name: Global.Name, paramTypes: List[Global.Type], returnType: Global.Type)(f: (Global.Symbol) => Global.Tree): Global.Tree
15.  def createSwitchMethod(name: Global.Name, range: Seq[Int], returnType: Global.Type)(f: (Int) => Global.Tree): Global.Tree
16.  def deriveMethod(original: Global.Symbol, nameFn: (Global.Name) => Global.Name)(f: (Global.Symbol) => Global.Tree): Global.Tree
17.  def ensuring(cond: (Analyzer.ClassMethodSynthesis) => Boolean, msg: => Any): Analyzer.ClassMethodSynthesis
    Implicit
      This member is added by an implicit conversion from Analyzer.ClassMethodSynthesis toEnsuring[Analyzer.ClassMethodSynthesis] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: (Analyzer.ClassMethodSynthesis) => Boolean): Analyzer.ClassMethodSynthesis
    Implicit
      This member is added by an implicit conversion from Analyzer.ClassMethodSynthesis toEnsuring[Analyzer.ClassMethodSynthesis] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean, msg: => Any): Analyzer.ClassMethodSynthesis
    Implicit
      This member is added by an implicit conversion from Analyzer.ClassMethodSynthesis toEnsuring[Analyzer.ClassMethodSynthesis] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  def ensuring(cond: Boolean): Analyzer.ClassMethodSynthesis
    Implicit
      This member is added by an implicit conversion from Analyzer.ClassMethodSynthesis toEnsuring[Analyzer.ClassMethodSynthesis] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
23.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
24.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Analyzer.ClassMethodSynthesis toStringFormat[Analyzer.ClassMethodSynthesis] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
25.  def forwardMethod(original: Global.Symbol, newMethod: Global.Symbol)(transformArgs: (List[Global.Tree]) => List[Global.Tree]): Global.Tree
26.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
29.  def mkThis: Global.Tree
30.  def mkThisSelect(sym: Global.Symbol): Global.RefTree with java.io.Serializable
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  def newMethodFlags(method: Global.Symbol): Long
33.  def newMethodFlags(name: Global.TermName): Long
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  def typeInClazz(sym: Global.Symbol): Global.Type
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Analyzer.ClassMethodSynthesis, B)
   Implicit
     This member is added by an implicit conversion from Analyzer.ClassMethodSynthesis toArrowAssoc[Analyzer.ClassMethodSynthesis] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromAnalyzer.ClassMethodSynthesis to any2stringadd[Analyzer.ClassMethodSynthesis]

### Inherited by implicit conversion StringFormat fromAnalyzer.ClassMethodSynthesis to StringFormat[Analyzer.ClassMethodSynthesis]

### Inherited by implicit conversion Ensuring fromAnalyzer.ClassMethodSynthesis to Ensuring[Analyzer.ClassMethodSynthesis]

### Inherited by implicit conversion ArrowAssoc fromAnalyzer.ClassMethodSynthesis to ArrowAssoc[Analyzer.ClassMethodSynthesis]

### Ungrouped